use crate::error::CustomError;

use super::registry::Registry;

#[derive(Debug)]
pub(crate) struct IItalic {}

impl IItalic {
    pub(crate) async fn new<'b, 'parse>(
        registry: &'b mut Registry<'parse>,
        original: &'b organic::types::Italic<'parse>,
    ) -> Result<IItalic, CustomError> {
        Ok(IItalic {})
    }
}
